package by.zerg.layouteditor.helpers;

import java.awt.Font;
import java.awt.Insets;
import java.io.File;

public class Constants {
	public static final String EOL = System.getProperty("line.separator");

	public static final String RIGHT_SQUARE_BRACKET = "]";
	public static final String LEFT_SQUARE_BRACKET = "[";

	public static final String EQUAL = "=";
	public static final String DOUBLE_QUOTES = "\"";

	public static final String FILE_PATH_SEPARATOR = File.separator;

	public static final String GX_INI_FILE = FILE_PATH_SEPARATOR + "gx.ini";
	public static final String DEFAULT_THEME_FOLDER = FILE_PATH_SEPARATOR
			+ "themes" + FILE_PATH_SEPARATOR + "&default";

	public static final String POKERSTARS_EXE = "PokerStars.exe";

	public static final String TABLE_SECTION = "table";
	public static final String IMAGES_SECTION = "images";
	public static final String HOLDEM_9MAX_SECTION = "9x2";
	public static final String SEAT_COORDS_PROPERTY = "seat";
	public static final String BUTTON3_COORDS_PROPERTY = "button3";

	public static final String PREVIEW_PROPERTY = "preview";
	public static final String LOBBY_PROPERTY = "lobby";
	public static final String FEATURE_PROPERTY = "feature";
	public static final String DECK_PROPERTY = "deck";
	public static final String FOLDER_PROPERTY = "folder";
	public static final String GX_FOLDER = FILE_PATH_SEPARATOR + "gx";
	public static final String DEFAULT_THEME_ID = "default@pokerstars.com";
	public static final String BASE_PROPERTY = "base";
	public static final String COPYRIGHT_PROPERTY = "copyright";
	public static final String NAME_PROPERTY = "name";
	public static final String XTHEMES_INI_FILE = FILE_PATH_SEPARATOR
			+ "xthemes.ini";
	public static final String THEMES_INI_FILE = FILE_PATH_SEPARATOR
			+ "themes.ini";
	public static final String XTHEMES_FOLDER = FILE_PATH_SEPARATOR + "xthemes";
	public static final String THEMES_FOLDER = FILE_PATH_SEPARATOR + "themes";

	public static final String SPACE = " ";

	public static final String SHARP = "#";
	public static final String SEMICOLUMN = ";";
	public static final String NEW_LINE = "\n";
	public static final String BIN_DECRYPTER_EXE = "bin\\Decrypter.exe";

	public static final String BIN_CRYPTER_EXE = "bin\\Crypter.exe";
	public static final String GZ_FILE = ".gz";
	public static final String INI_FILE = ".ini";

	public static final int PREVIEW_PANEL_DEFAULT_WIDTH = 792;
	public static final int PREVIEW_PANEL_DEFAULT_HEIGHT = 546;
	public static final String FOREGROUND_PROPERTY = "foreground";

	public static final String EDITOR_FRAME_TITLE = "Layout Editor v1.2b by Hitman";
	public static final int CONFIG_TREE_TOGGLE_CLICKS = 1;
	public static final int CONFIG_TREE_DEFAULT_HEIGHT = 250;
	public static final String CONFIG_TREE_ROOT = "gx.ini";
	public static final String CTRL_Y_HOTKEY = "control Y";
	public static final String REDO_ACTION = "Redo";
	public static final String CTRL_Z_HOTKEY = "control Z";
	public static final String UNDO_ACTION = "Undo";
	public static final int CONFIG_TEXTAREA_VISIBLE_ROWS = 10;
	public static final Insets CONFIG_TEXTAREA_MARGINS = new Insets(10, 10, 10,
			10);
	public static final Font DEFAULT_FONT = new Font(Font.SANS_SERIF,
			Font.BOLD, 14);
	public static final int HIGHLIGHT_BORDER_MARGIN_BOTTOM = 3;
	public static final int HIGHLIGHT_BORDER_MARGIN_RIGHT = -6;
	public static final int HIGHLIGHT_BORDER_MARGIN_TOP = -2;
	public static final int HIGHLIGHT_BORDER_MARGIN_LEFT = -2;
	public static final String SAVE_BUTTON_TEXT = "Save";
	public static final String OPEN_BUTTON_TEXT = "Open";
	public static final String LOAD_BUTTON_TEXT = "Load";
	public static final String LAUNCH_BUTTON_TEXT = "Launch Client";
	public static final String SAVE_ACTION = "SAVE";
	public static final String OPEN_ACTION = "OPEN";
	public static final String LOAD_ACTION = "LOAD";
	public static final String LAUNCH_ACTION = "LAUNCH";
	public static final String POKERSTARS_FOLDER = "PokerStars";
	public static final String DEFAULT_PATH = "f:\\";
}
