package by.zerg.layouteditor.theme;

import static by.zerg.layouteditor.helpers.Constants.EQUAL;

import java.util.List;
import java.util.ArrayList;
import java.util.StringTokenizer;

public class Property {
	final Section section;
	final String name;
	String value;

	public Property(String name, String value, Section section) {
		this.name = name;
		this.value = value;
		this.section = section;
	}

	@Override
	public String toString() {
		return name + EQUAL + value;
	}

	public Section getSection() {
		return section;
	}

	public String getName() {
		return name;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}
